Atomically activate Manual Order storage for the Entity Definition.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/entity/example/ui/manual-order/enable"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"ExpectedDefinitionRowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/entity/example/ui/manual-order/enable';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"ExpectedDefinitionRowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/entity/example/ui/manual-order/enable \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "ExpectedDefinitionRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Request to atomically activate Manual Order storage for an Entity Definition.
object
Expected Entity Definition concurrency token.
Examplegenerated
{ "ExpectedDefinitionRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Request to atomically activate Manual Order storage for an Entity Definition.
object
Expected Entity Definition concurrency token.
Examplegenerated
{ "ExpectedDefinitionRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Request to atomically activate Manual Order storage for an Entity Definition.
object
Expected Entity Definition concurrency token.
Examplegenerated
{ "ExpectedDefinitionRowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"}Responses
Section titled “Responses”OK
object
Admin-facing Manual Order capability metadata without protected rank storage details.
object
object
object
object
object
Example
{ "Data": { "SchemaSource": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
Admin-facing Manual Order capability metadata without protected rank storage details.
object
object
object
object
object
Example
{ "Data": { "SchemaSource": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
Admin-facing Manual Order capability metadata without protected rank storage details.
object
object
object
object
object
Example
{ "Data": { "SchemaSource": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
Admin-facing Manual Order capability metadata without protected rank storage details.
object
object
object
object
object
Example
{ "Data": { "SchemaSource": 0 }, "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}